-- Copyright (C) 1991-2008 Altera Corporation
-- Your use of Altera Corporation's design tools, logic functions 
-- and other software and tools, and its AMPP partner logic 
-- functions, and any output files from any of the foregoing 
-- (including device programming or simulation files), and any 
-- associated documentation or information are expressly subject 
-- to the terms and conditions of the Altera Program License 
-- Subscription Agreement, Altera MegaCore Function License 
-- Agreement, or other applicable license agreement, including, 
-- without limitation, that your use is for the sole purpose of 
-- programming logic devices manufactured by Altera and sold by 
-- Altera or its authorized distributors.  Please refer to the 
-- applicable agreement for further details.

-- VENDOR "Altera"
-- PROGRAM "Quartus II"
-- VERSION "Version 8.1 Build 163 10/28/2008 SJ Web Edition"

-- DATE "01/01/2012 20:15:35"

-- 
-- Device: Altera EP3C16F484C6 Package FBGA484
-- 

-- 
-- This VHDL file should be used for ModelSim-Altera (VHDL) only
-- 

LIBRARY IEEE, cycloneiii;
LIBRARY altera;
USE IEEE.std_logic_1164.all;
USE altera.altera_primitives_components.all;
USE cycloneiii.cycloneiii_components.all;

ENTITY 	receiver_control_unit IS
    PORT (
	Start_Bit : IN std_logic;
	CLK : IN std_logic;
	CD : IN std_logic;
	Enable_RX : IN std_logic;
	EP_check : IN std_logic;
	Stop_Bit : IN std_logic;
	TC4 : IN std_logic;
	TC8 : IN std_logic;
	TC10 : IN std_logic;
	S : OUT std_logic_vector(1 DOWNTO 0);
	LDD : OUT std_logic;
	CE_MOD4 : OUT std_logic;
	CE_MOD8 : OUT std_logic;
	Clear_Counters : OUT std_logic;
	Error : OUT std_logic;
	New_Data : OUT std_logic
	);
END receiver_control_unit;

ARCHITECTURE structure OF receiver_control_unit IS
SIGNAL gnd : std_logic := '0';
SIGNAL vcc : std_logic := '1';
SIGNAL devoe : std_logic := '1';
SIGNAL devclrn : std_logic := '1';
SIGNAL devpor : std_logic := '1';
SIGNAL ww_devoe : std_logic;
SIGNAL ww_devclrn : std_logic;
SIGNAL ww_devpor : std_logic;
SIGNAL ww_Start_Bit : std_logic;
SIGNAL ww_CLK : std_logic;
SIGNAL ww_CD : std_logic;
SIGNAL ww_Enable_RX : std_logic;
SIGNAL ww_EP_check : std_logic;
SIGNAL ww_Stop_Bit : std_logic;
SIGNAL ww_TC4 : std_logic;
SIGNAL ww_TC8 : std_logic;
SIGNAL ww_TC10 : std_logic;
SIGNAL ww_S : std_logic_vector(1 DOWNTO 0);
SIGNAL ww_LDD : std_logic;
SIGNAL ww_CE_MOD4 : std_logic;
SIGNAL ww_CE_MOD8 : std_logic;
SIGNAL ww_Clear_Counters : std_logic;
SIGNAL ww_Error : std_logic;
SIGNAL ww_New_Data : std_logic;
SIGNAL \CLK~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \CD~inputclkctrl_INCLK_bus\ : std_logic_vector(3 DOWNTO 0);
SIGNAL \Start_Bit~input_o\ : std_logic;
SIGNAL \CLK~input_o\ : std_logic;
SIGNAL \TC10~input_o\ : std_logic;
SIGNAL \CLK~inputclkctrl_outclk\ : std_logic;
SIGNAL \S[0]~output_o\ : std_logic;
SIGNAL \S[1]~output_o\ : std_logic;
SIGNAL \LDD~output_o\ : std_logic;
SIGNAL \CE_MOD4~output_o\ : std_logic;
SIGNAL \CE_MOD8~output_o\ : std_logic;
SIGNAL \Clear_Counters~output_o\ : std_logic;
SIGNAL \Error~output_o\ : std_logic;
SIGNAL \New_Data~output_o\ : std_logic;
SIGNAL \EP_check~input_o\ : std_logic;
SIGNAL \Stop_Bit~input_o\ : std_logic;
SIGNAL \present_state.state_bit_0~277_combout\ : std_logic;
SIGNAL \TC4~input_o\ : std_logic;
SIGNAL \present_state.wait_4cycles~26_combout\ : std_logic;
SIGNAL \present_state.state_bit_1~157_combout\ : std_logic;
SIGNAL \present_state.state_bit_2~23_combout\ : std_logic;
SIGNAL \CD~input_o\ : std_logic;
SIGNAL \CD~inputclkctrl_outclk\ : std_logic;
SIGNAL \present_state.state_bit_2~q\ : std_logic;
SIGNAL \present_state.sample_serial_in~15_combout\ : std_logic;
SIGNAL \present_state.state_bit_1~158_combout\ : std_logic;
SIGNAL \present_state.state_bit_1~159_combout\ : std_logic;
SIGNAL \present_state.state_bit_1~q\ : std_logic;
SIGNAL \TC8~input_o\ : std_logic;
SIGNAL \Enable_RX~input_o\ : std_logic;
SIGNAL \present_state.load_data_reg~12_combout\ : std_logic;
SIGNAL \present_state.state_bit_3~q\ : std_logic;
SIGNAL \present_state.state_bit_0~278_combout\ : std_logic;
SIGNAL \present_state.state_bit_0~279_combout\ : std_logic;
SIGNAL \present_state.state_bit_0~280_combout\ : std_logic;
SIGNAL \present_state.state_bit_0~q\ : std_logic;
SIGNAL \present_state.sample_serial_in~14_combout\ : std_logic;
SIGNAL \Clear_Counters~0_combout\ : std_logic;
SIGNAL \present_state.error_signal~13_combout\ : std_logic;
SIGNAL \ALT_INV_CD~inputclkctrl_outclk\ : std_logic;

BEGIN

ww_Start_Bit <= Start_Bit;
ww_CLK <= CLK;
ww_CD <= CD;
ww_Enable_RX <= Enable_RX;
ww_EP_check <= EP_check;
ww_Stop_Bit <= Stop_Bit;
ww_TC4 <= TC4;
ww_TC8 <= TC8;
ww_TC10 <= TC10;
S <= ww_S;
LDD <= ww_LDD;
CE_MOD4 <= ww_CE_MOD4;
CE_MOD8 <= ww_CE_MOD8;
Clear_Counters <= ww_Clear_Counters;
Error <= ww_Error;
New_Data <= ww_New_Data;
ww_devoe <= devoe;
ww_devclrn <= devclrn;
ww_devpor <= devpor;

\CLK~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \CLK~input_o\);

\CD~inputclkctrl_INCLK_bus\ <= (vcc & vcc & vcc & \CD~input_o\);
\ALT_INV_CD~inputclkctrl_outclk\ <= NOT \CD~inputclkctrl_outclk\;

\Start_Bit~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Start_Bit,
	o => \Start_Bit~input_o\);

\CLK~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CLK,
	o => \CLK~input_o\);

\TC10~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TC10,
	o => \TC10~input_o\);

\CLK~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \CLK~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CLK~inputclkctrl_outclk\);

\S[0]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \present_state.sample_serial_in~14_combout\,
	devoe => ww_devoe,
	o => \S[0]~output_o\);

\S[1]~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => GND,
	devoe => ww_devoe,
	o => \S[1]~output_o\);

\LDD~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \present_state.load_data_reg~12_combout\,
	devoe => ww_devoe,
	o => \LDD~output_o\);

\CE_MOD4~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \present_state.wait_4cycles~26_combout\,
	devoe => ww_devoe,
	o => \CE_MOD4~output_o\);

\CE_MOD8~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \present_state.sample_serial_in~15_combout\,
	devoe => ww_devoe,
	o => \CE_MOD8~output_o\);

\Clear_Counters~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \Clear_Counters~0_combout\,
	devoe => ww_devoe,
	o => \Clear_Counters~output_o\);

\Error~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \present_state.error_signal~13_combout\,
	devoe => ww_devoe,
	o => \Error~output_o\);

\New_Data~output\ : cycloneiii_io_obuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	open_drain_output => "false")
-- pragma translate_on
PORT MAP (
	i => \present_state.state_bit_3~q\,
	devoe => ww_devoe,
	o => \New_Data~output_o\);

\EP_check~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_EP_check,
	o => \EP_check~input_o\);

\Stop_Bit~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Stop_Bit,
	o => \Stop_Bit~input_o\);

\present_state.state_bit_0~277\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.state_bit_0~277_combout\ = \present_state.state_bit_2~q\ & (\present_state.state_bit_0~q\ & (!\Stop_Bit~input_o\) # !\present_state.state_bit_0~q\ & \EP_check~input_o\) # !\present_state.state_bit_2~q\ & (\present_state.state_bit_0~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0101111110001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \present_state.state_bit_2~q\,
	datab => \EP_check~input_o\,
	datac => \Stop_Bit~input_o\,
	datad => \present_state.state_bit_0~q\,
	combout => \present_state.state_bit_0~277_combout\);

\TC4~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TC4,
	o => \TC4~input_o\);

\present_state.wait_4cycles~26\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.wait_4cycles~26_combout\ = !\present_state.state_bit_2~q\ & !\present_state.state_bit_1~q\ & \present_state.state_bit_0~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000010100000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \present_state.state_bit_2~q\,
	datac => \present_state.state_bit_1~q\,
	datad => \present_state.state_bit_0~q\,
	combout => \present_state.wait_4cycles~26_combout\);

\present_state.state_bit_1~157\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.state_bit_1~157_combout\ = \present_state.state_bit_2~q\ & !\present_state.state_bit_1~q\ & (\EP_check~input_o\ # \present_state.state_bit_0~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000101000001000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \present_state.state_bit_2~q\,
	datab => \EP_check~input_o\,
	datac => \present_state.state_bit_1~q\,
	datad => \present_state.state_bit_0~q\,
	combout => \present_state.state_bit_1~157_combout\);

\present_state.state_bit_2~23\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.state_bit_2~23_combout\ = \present_state.state_bit_2~q\ & (!\present_state.state_bit_1~q\) # !\present_state.state_bit_2~q\ & \TC10~input_o\ & \present_state.state_bit_0~q\ & \present_state.state_bit_1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000100011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \TC10~input_o\,
	datab => \present_state.state_bit_0~q\,
	datac => \present_state.state_bit_2~q\,
	datad => \present_state.state_bit_1~q\,
	combout => \present_state.state_bit_2~23_combout\);

\CD~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_CD,
	o => \CD~input_o\);

\CD~inputclkctrl\ : cycloneiii_clkctrl
-- pragma translate_off
GENERIC MAP (
	clock_type => "global clock",
	ena_register_mode => "falling edge")
-- pragma translate_on
PORT MAP (
	inclk => \CD~inputclkctrl_INCLK_bus\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	outclk => \CD~inputclkctrl_outclk\);

\present_state.state_bit_2\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \present_state.state_bit_2~23_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \present_state.state_bit_2~q\);

\present_state.sample_serial_in~15\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.sample_serial_in~15_combout\ = \present_state.state_bit_1~q\ & !\present_state.state_bit_2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datac => \present_state.state_bit_1~q\,
	datad => \present_state.state_bit_2~q\,
	combout => \present_state.sample_serial_in~15_combout\);

\present_state.state_bit_1~158\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.state_bit_1~158_combout\ = \present_state.state_bit_1~157_combout\ # \present_state.sample_serial_in~15_combout\ & (!\present_state.state_bit_0~q\ # !\TC10~input_o\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111011111110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \TC10~input_o\,
	datab => \present_state.state_bit_0~q\,
	datac => \present_state.state_bit_1~157_combout\,
	datad => \present_state.sample_serial_in~15_combout\,
	combout => \present_state.state_bit_1~158_combout\);

\present_state.state_bit_1~159\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.state_bit_1~159_combout\ = \present_state.state_bit_1~158_combout\ # !\Start_Bit~input_o\ & \TC4~input_o\ & \present_state.wait_4cycles~26_combout\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111111101000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Start_Bit~input_o\,
	datab => \TC4~input_o\,
	datac => \present_state.wait_4cycles~26_combout\,
	datad => \present_state.state_bit_1~158_combout\,
	combout => \present_state.state_bit_1~159_combout\);

\present_state.state_bit_1\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \present_state.state_bit_1~159_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \present_state.state_bit_1~q\);

\TC8~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_TC8,
	o => \TC8~input_o\);

\Enable_RX~input\ : cycloneiii_io_ibuf
-- pragma translate_off
GENERIC MAP (
	bus_hold => "false",
	simulate_z_as => "z")
-- pragma translate_on
PORT MAP (
	i => ww_Enable_RX,
	o => \Enable_RX~input_o\);

\present_state.load_data_reg~12\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.load_data_reg~12_combout\ = \present_state.state_bit_0~q\ & \present_state.state_bit_1~q\ & \present_state.state_bit_2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1100000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \present_state.state_bit_0~q\,
	datac => \present_state.state_bit_1~q\,
	datad => \present_state.state_bit_2~q\,
	combout => \present_state.load_data_reg~12_combout\);

\present_state.state_bit_3\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \present_state.load_data_reg~12_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \present_state.state_bit_3~q\);

\present_state.state_bit_0~278\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.state_bit_0~278_combout\ = \present_state.state_bit_1~q\ # !\Start_Bit~input_o\ & \Enable_RX~input_o\ & !\present_state.state_bit_3~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111000011110100",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \Start_Bit~input_o\,
	datab => \Enable_RX~input_o\,
	datac => \present_state.state_bit_1~q\,
	datad => \present_state.state_bit_3~q\,
	combout => \present_state.state_bit_0~278_combout\);

\present_state.state_bit_0~279\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.state_bit_0~279_combout\ = \present_state.state_bit_2~q\ & !\present_state.state_bit_1~q\ # !\present_state.state_bit_2~q\ & \present_state.state_bit_0~278_combout\ & (\TC8~input_o\ # !\present_state.state_bit_1~q\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0111001100100010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \present_state.state_bit_2~q\,
	datab => \present_state.state_bit_1~q\,
	datac => \TC8~input_o\,
	datad => \present_state.state_bit_0~278_combout\,
	combout => \present_state.state_bit_0~279_combout\);

\present_state.state_bit_0~280\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.state_bit_0~280_combout\ = \present_state.wait_4cycles~26_combout\ & (!\present_state.state_bit_0~277_combout\ & \present_state.state_bit_0~279_combout\ # !\TC4~input_o\) # !\present_state.wait_4cycles~26_combout\ & 
-- !\present_state.state_bit_0~277_combout\ & (\present_state.state_bit_0~279_combout\)

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011101100001010",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \present_state.wait_4cycles~26_combout\,
	datab => \present_state.state_bit_0~277_combout\,
	datac => \TC4~input_o\,
	datad => \present_state.state_bit_0~279_combout\,
	combout => \present_state.state_bit_0~280_combout\);

\present_state.state_bit_0\ : dffeas
-- pragma translate_off
GENERIC MAP (
	is_wysiwyg => "true",
	power_up => "low")
-- pragma translate_on
PORT MAP (
	clk => \CLK~inputclkctrl_outclk\,
	d => \present_state.state_bit_0~280_combout\,
	clrn => \ALT_INV_CD~inputclkctrl_outclk\,
	devclrn => ww_devclrn,
	devpor => ww_devpor,
	q => \present_state.state_bit_0~q\);

\present_state.sample_serial_in~14\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.sample_serial_in~14_combout\ = \present_state.state_bit_0~q\ & \present_state.state_bit_1~q\ & !\present_state.state_bit_2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0000000011000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \present_state.state_bit_0~q\,
	datac => \present_state.state_bit_1~q\,
	datad => \present_state.state_bit_2~q\,
	combout => \present_state.sample_serial_in~14_combout\);

\Clear_Counters~0\ : cycloneiii_lcell_comb
-- Equation(s):
-- \Clear_Counters~0_combout\ = \present_state.state_bit_3~q\ # \present_state.state_bit_2~q\ & !\present_state.state_bit_0~q\ & \present_state.state_bit_1~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "1111001011110000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	dataa => \present_state.state_bit_2~q\,
	datab => \present_state.state_bit_0~q\,
	datac => \present_state.state_bit_3~q\,
	datad => \present_state.state_bit_1~q\,
	combout => \Clear_Counters~0_combout\);

\present_state.error_signal~13\ : cycloneiii_lcell_comb
-- Equation(s):
-- \present_state.error_signal~13_combout\ = !\present_state.state_bit_0~q\ & \present_state.state_bit_1~q\ & \present_state.state_bit_2~q\

-- pragma translate_off
GENERIC MAP (
	lut_mask => "0011000000000000",
	sum_lutc_input => "datac")
-- pragma translate_on
PORT MAP (
	datab => \present_state.state_bit_0~q\,
	datac => \present_state.state_bit_1~q\,
	datad => \present_state.state_bit_2~q\,
	combout => \present_state.error_signal~13_combout\);

ww_S(0) <= \S[0]~output_o\;

ww_S(1) <= \S[1]~output_o\;

ww_LDD <= \LDD~output_o\;

ww_CE_MOD4 <= \CE_MOD4~output_o\;

ww_CE_MOD8 <= \CE_MOD8~output_o\;

ww_Clear_Counters <= \Clear_Counters~output_o\;

ww_Error <= \Error~output_o\;

ww_New_Data <= \New_Data~output_o\;
END structure;


